libgdamm: Gnome::Gda::Blob Class Reference

libgdamm 4.99.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gnome::Gda::Blob Class Reference
Data Handlers

This object is a base class for individual database providers which support BLOB types. More...

Collaboration diagram for Gnome::Gda::Blob:
[legend]

## Public Member Functions
| Blob (const Blob& other) noexcept
Blob& | operator= (const Blob& other) noexcept
| Blob (Blob&& other) noexcept
Blob& | operator= (Blob&& other) noexcept
| Blob ()
| Blob (const GdaBlob* gobject)
GdaBlob* | gobj ()
| Provides access to the underlying C instance. More...
const GdaBlob* | gobj () const
| Provides access to the underlying C instance. More...
void | set_op (const Glib::RefPtr< BlobOp >& op)
| correctly assigns op to blob More...
Glib::ustring | to_string (guint maxlen=0) const
| Converts all the non printable characters of blob->data into the \xxx representation where xxx is the octal representation of the byte, and the '\' (backslash) character is converted to "\\\\". More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GdaBlob | gobject_

## Related Functions
(Note that these are not member functions.)
Gnome::Gda::Blob& | wrap (GdaBlob* object)
const Gnome::Gda::Blob& | wrap (const GdaBlob* object)

## Detailed Description

This object is a base class for individual database providers which support BLOB types.

It supports operations to read and write data in a BLOB.

## Constructor & Destructor Documentation

Gnome::Gda::Blob::Blob | ( | const Blob& | other | ) |
| noexcept

Gnome::Gda::Blob::Blob | ( | Blob&& | other | ) |
| noexcept

Gnome::Gda::Blob::Blob | ( |  | ) |

Gnome::Gda::Blob::Blob | ( | const GdaBlob * | gobject | ) |
| explicit

## Member Function Documentation

static GType Gnome::Gda::Blob::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaBlob* Gnome::Gda::Blob::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GdaBlob* Gnome::Gda::Blob::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

Blob& Gnome::Gda::Blob::operator= | ( | const Blob& | other | ) |
| noexcept

Blob& Gnome::Gda::Blob::operator= | ( | Blob&& | other | ) |
| noexcept

void Gnome::Gda::Blob::set_op | ( | const Glib::RefPtr< BlobOp >& | op | ) |

correctly assigns op to blob

Parameters

  op | A Gda::BlobOp object, or `0`.

Glib::ustring Gnome::Gda::Blob::to_string | ( | guint | maxlen = `0` | ) | const

Converts all the non printable characters of blob->data into the \xxx representation where xxx is the octal representation of the byte, and the '\' (backslash) character is converted to "\\\\".

Parameters

  maxlen | A maximum len used to truncate, or 0 for no maximum length.

Returns
  A new string from blob.

## Friends And Related Function Documentation

Gnome::Gda::Blob& wrap | ( | GdaBlob * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

const Gnome::Gda::Blob& wrap | ( | const GdaBlob * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaBlob Gnome::Gda::Blob::gobject_
| protected

The documentation for this class was generated from the following file:

- libgdamm/blob.h